Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part Two

Ajaja kana bira gahuuf...

Saagi - Dalaga - Akaakuu Idaatuu

## IMABS

Firii isaa gatii sirrii lakkoofsa konphileeksii ta'a.

#### Syntax

IMABS("lakkoofsa konphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMABS("5+12j")13 kenna.

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## COMPLEX

Firiin isaa lakkoofsa konphileeksi kan kofisheentii riyaalii fi kofisheentii imaajiineerii irraa argame dha.

#### Syntax

COMPLEX(RealNum; INum; Dursoo)

RealNum'n koofisheenti riyaalii lakkoofsa komphileeksiti.

INum'n koofisheenti imaajiineerii lakkoofsa konphileeksiti.

Dursoo'n tarree dirqalaalee , "i" ykn "j".

#### Example

=COMPLEX(3;4;"j") 3+4j kenna.

## CONVERT

n gatii safartuu madalii tokkoo irraa gara gatii madalii safartuu itti aanuu gara birooti jijjiira . Madaalliwwan safartuu akka barruu mallattoo waraabbiti ykn akka wabiiti qixa sirriin galchi. Yoo madallii safartuu man'ee keessaa galchiee, Fakkeenyaaf, gara xiqaa 1 (salphaa) man'ee galchuuf mallattoo hudhaa ' battaluma tokkootti (1) aansudhaan galchi.

Amala | Safartuu
Ulfaatina | g, sg, lbm, u, ozm, stone, ton, grain, pweight, hweight, shweight, brton
Dheerina | m, mi, Nmi, in, ft, yd, ang, Pica, ell, parsec, lightyear, survey_mi
Yeroo | yr, day, hr, mn, sec, s
Dhiibaa | Pa, atm, at, mmHg, Torr, psi
Humna | N, dyn, dy, lbf, pond
Aniisaa | J, e, c, cal, eV, ev, HPh, Wh, wh, flb, BTU, btu
Aangoo | W, w, HP, PS
Jabeenyaa dirree | T, ga
Teempiirechara | C, F, K, kel, Reau, Rank
Qabee | l, L, lt, tsp, tbs, oz, cup, pt, us_pt, qt, gal, m3, mi3, Nmi3, in3, ft3, yd3, ang3, Pica3, barrel, bushel, regton, Schooner, Middy, Glass
Iddoo | m2, mi2, Nmi2, in2, ft2, yd2, ang2, Pica2, Morgen, ar, acre, ha
Saffisa | m/s, m/sec, m/h, mph, kn, admkn
Odeeffannoo | bit, byte

Units of measure in bold can be preceded by a prefix character from the following list:

Prefix | Multiplier
Y (yotta) | 10^24
Z (zetta) | 10^21
E (exa) | 10^18
P (peta) | 10^15
T (tera) | 10^12
G (giga) | 10^9
M (mega) | 10^6
k (kilo) | 10^3
h (hecto) | 10^2
e (deca) | 10^1
d (deci) | 10^-1
c (centi) | 10^-2
m (milli) | 10^-3
u (micro) | 10^-6
n (nano) | 10^-9
p (pico) | 10^-12
f (femto) | 10^-15
a (atto) | 10^-18
z (zepto) | 10^-21
y (yocto) | 10^-24

Safartootni odeeffannoo "biitii" and "baayitii" kan armaan gadii keessaa tokkoon durfamu dursitoota IEC 60027-2 / IEEE 1541:

ki kibi 1024

Mi mebi 1048576

Gi gibi 1073741824

Ti tebi 1099511627776

Pi pebi 1125899906842620

Ei exbi 1152921504606850000

Zi zebi 1180591620717410000000

Yi yobi 1208925819614630000000000

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

#### Syntax

CONVERT(Number; "FromUnit"; "ToUnit")

lakkoofsi lakkoofsa jijjirame dha.

SafartuuIrraan safartuu jijjiramni irraati adeemsifamuudha.

GaraSafartuun safartuu jijjiramni irraati adeemsifamuudha.

#### Example

=CONVERT(10;"HP";"PS") returns, rounded to two decimal places, 10.14. 10 HP equal 10.14 PS.

=CONVERT(10;"km";"mi") returns, rounded to two decimal places, 6.21. 10 kilometers equal 6.21 miles. The k is the permitted prefix character for the factor 10^3.

## FACTDOUBLE

n hirmaata lakkoofsa lama kenna.

#### Syntax

FACTDOUBLE(Lakkoofsa)

Number !! kenna, hirmaata lakkoofsa lam, yemmuu lakkofsii intiijerii irra guddaa ykn walqixaa duwwaa ta'e.

Lakkoofsota guutuuf FACTDOUBLE(n) kenna:

2*4*6*8* ... *n

Lakkoofsota qaraati FACTDOUBLE(n) kennameeti:

1*3*5*7* ... *n

Hikoodhaan FACTDOUBLE(0)n 1 kenna.

#### Example

=FACTDOUBLE(5) 15 kenna.

=FACTDOUBLE(6) 48 kenna.

=FACTDOUBLE(0) 1 kenna.

## IMAGINARY

Firii isaa koofisheentii immaajiineerii lakkoofsa komphileeksiti.

#### Syntax

IMAGINARY("lakkoofsa kompileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMAGINARY("4+3j") 3 kenna.

## IMARGUMENT

Firii isaa qajeelfama(kofa paayii) lakkoofsa konphileeksiti.

#### Syntax

IMREAL("lakkoofsa kompileeksi")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMARGUMENT("3+4j") 0.927295 kenna.

## IMCONJUGATE

Firiin isaa fallaa kompileeksii konjuugeetii lakkoofsa konphileeksi ta'a.

#### Syntax

IMCONJUGATE("Lakkoofsa komphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMCONJUGATE("1+j") 1-j kenna.

## IMDIV

Firii isaa hiramaa lakkoofsa konphileeksii lamaati.

#### Syntax

IMDIV("Gubbayyee"; "jaloo")

Gubbayyee'n, jaloo'n lakkoofsoota kampileeksii bifaa "x+yi" ykn "x+yj" galfamani dha.

#### Example

=IMDIV("-238+240i";"10+24i") 5+12i kenna.

## IMEXP

Firiin e paawoorii fi lakkoofsa kompileeksi dha. Tilmaamaan gatiin dhaabbataa e 2.71828182845904.

#### Syntax

IMSIN("lakkoofsa kompileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMEXP("1+j") 1.47+2.29j (siksamuun)kenna.

## IMLN

Firiin loogariizimii uumamaa(beezii e'n)lakkoofsa kompileeksiiti. Tilmaamaan gatiin dhaabbataa e 2.71828182845904 ta'a.

#### Syntax

IMLN("lakkoofsa kompileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMLN("1+j") 0.35+0.79j (siksamuun) kenna.

## IMLOG10

Firiin isaa loogariizimii beekamaa(beezii 10'n) lakkoofsa koompileeksitier.

#### Syntax

IMLOG10("Lakkoofsa komphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMLOG10("1+j") 0.15+0.34j (siksamuun) kenna.

## IMLOG2

Firiin loogariizimii lamee lakkoofsa konphileeksiti.

#### Syntax

IMLOG2("Lakkoofsa komphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMLOG2("1+j") 0.50+1.13j (siksamuun) kenna.

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

#### Syntax

IMPOWER("lakkoofsa kompileeksii"; Lakkoofsa)

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

Lakkoofsi eeksipooneentii dha.

#### Example

=IMPOWER("2+3i";2) -5+12i kenna.

## IMPRODUCT

Firii isaa loogariizimii lamee lakkoofsa konphileeksiti.

#### Syntax

IMPRODUCT("lakkoofsa konphileeksii"; "lakkoofsa konphileeksii1"; ...)

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMPRODUCT("3+4j";"5-3j") 27+11j kenna.

## IMREAL

Firii isaa koofisheenti riyaalii lakkoofsa konphileeksiti.

#### Syntax

IMREAL("lakkoofsa konphileeksi")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMREAL("1+3j") 1 kenna.

## IMSQRT

Firii isaa iskuuwerruutti lakkoofsa konphileeksiti.

#### Syntax

IMSQRT("lakkoofsa konphileeksii")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMSQRT("3+4i")2+1i kenna.

## IMSUB

Firii isaa hir'attoo lakkoofsa konphileeksiti.

#### Syntax

IMSUB("lakkoofsa konphileeksii1"; "lakkoofsa konphileeksii2")

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMSUB("13+4j";"5+3j") 8+j kenna.

## IMSUM

Firii isaa ida'ama hanga 29 lakkoofsa konphileeksiti.

#### Syntax

IMSUM("lakkoofsa konphileeksii1"; "lakkoofsa konphileeksii2"; ...)

lakkoofsa konphileeksii'n lakkoofsa konphileeksii bifa "x+yi" ykn "x+yj" kan galfame dha.

#### Example

=IMSUM("13+4j";"5+3j") 18+7j kenna.

## OCT2BIN

Firiin isaa lakkoofsota ooktaalii galfameef lakkoofsota baayineerii ta'a.

#### Syntax

OCT2BIN(Lakkoofsa; Bakkeewwan)

Lakkoofsa lakkoofsa oktaalii dha.Gatii olaanaa bakkeewwan qadachuu danda'uu 10 dha.Biiin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

Bakkootni lakkoofsa bakkoota baha ta'uuti.

#### Example

=OCT2BIN(3;3) 011 kenna.

## OCT2DEC

Firiin isaa lakkoofsota oktaalii galfameef lakkoofsota deesiimaalii ta'a..

#### Syntax

OCT2DEC(Lakkoofsa)

Lakkoofsa lakkoofsa oktaalii dha.Gatii olaanaa bakkeewwan qadachuu danda'uu 10 dha.Biiin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

#### Example

=OCT2DEC(144) 100 kenna.

## OCT2HEX

Firiin isaa lakkoofsa oktaalii galfameef lakkoofsa heeksaadeesiimaalii ta'a..

#### Syntax

OCT2HEX(Lakkoofsa; Bakkoota)

Lakkoofsa lakkoofsa oktaalii dha.Gatii olaanaa bakkeewwan qadachuu danda'uu 10 dha.Biiin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

Bakkootni lakkoofsa bakkoota baha ta'uuti.

#### Example

=OCT2HEX(144;4) 0064 kenna.

Matadureewwan Walfakkatan

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category